Subject: Re: [PATCH 4/8] net/mlx4_en: Set max rate-limit for a TC

From: Amir Vadai <[email-masked]>
Date: Wed, 14 Mar 2012 12:42:43 +0200

On 03/13/2012 09:16 PM, Dave Taht wrote:
> On Tue, Mar 13, 2012 at 10:21 AM, Amir Vadai<[email-masked]>  wrote:
>> From: Amir Vadai<[email-masked]>
>>
>> Set max rate-limit using sysfs file /sys/class/net/<interface>/qos/ratelimit
>>
>> To set, enter a space separated list of values in units of 100Mbps.  For
>> example to set ratelimit of 5G to TC0 and 10G for the reset on eth2 issue:
>> echo 50 100 100 100 100 100 100 100 100>  /sys/class/net/eth2/qos/ratelimit
>
> At least in my world, rates go down as low as 128k.
>
> If this 'qos' sys value is intended to be a generic mechanism to be
> used instead of (say) htb,
> for more than one type of ethernet device.... I would argue that the
> units need to be specified.
>
> Similarly what else is intended to live below the 'qos' subdir?

This sys value is specific to our driver, and will be shown only on 
mlx4_en netdev's.

We're open to suggestions to make it a generic sysfs entry. If it will 
really be generic, we will sure have well known units (for example KB) 
and we'll do the translation in our driver.

Thanks,
Amir